NX Open C++ Reference Guide
|
Represents a @link Features::SectionSurface Features::SectionSurface@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSectionSurfaceBuilder Features::FeatureCollection::CreateSectionSurfaceBuilder @endlink <br>
Default values. More...
Public Member Functions | |
int | AlternateMethod () |
Returns the alternate method. | |
NXOpen::GeometricUtilities::LawBuilder * | AngleLaw () |
Returns the angle Law | |
NXOpen::Section * | ApexCurve () |
Returns the apex curve. | |
NXOpen::Features::SectionSurfaceBuilder::ControlRegionEnum | ControlRegion () |
Returns the control region for fillet bridge | |
bool | CreateApexCurve () |
Returns whether an apex curve should be created | |
double | CurvatureTolerance () |
Returns the curvature tolerance | |
NXOpen::GeometricUtilities::Continuity * | EndContinuity () |
Returns the end continuity for fillet bridge | |
NXOpen::GeometricUtilities::DepthSkewBuilder * | EndDepthSkew () |
Returns the end depth and skew | |
NXOpen::Features::SectionSurfaceBuilder::FlowDirectionEnum | EndFlowDirection () |
Returns the end flow direction for fillet bridge | |
NXOpen::Section * | EndGuide () |
Returns the end guide | |
NXOpen::Section * | EndHighlightSection () |
Returns the end highlight section . | |
NXOpen::Section * | EndShapeCurve () |
Returns the end shape curve for fillet bridge | |
NXOpen::Section * | EndSlope () |
Returns the end slope. | |
NXOpen::ScCollector * | EndSurface () |
Returns the end surface Only applies to the follow section surface types: Features::SectionSurfaceBuilder::TypesFilletShoulder , Features::SectionSurfaceBuilder::TypesFilletRho , Features::SectionSurfaceBuilder::TypesFilletHilite and Features::SectionSurfaceBuilder::TypesFilletBridge | |
NXOpen::GeometricUtilities::DepthSkewBuilder * | EntireRegionDepthSkew () |
Returns the entire region depth and skew | |
NXOpen::Section * | InteriorGuide1 () |
Returns the interior guide1. | |
NXOpen::Section * | InteriorGuide2 () |
Returns the interior guide2 Only applies to the follow section surface types: Features::SectionSurfaceBuilder::TypesFourPointSlope and Features::SectionSurfaceBuilder::TypesFivePoint | |
NXOpen::Section * | InteriorGuide3 () |
Returns the interior guide3 Only applies to the follow section surface types: Features::SectionSurfaceBuilder::TypesFourPointSlope and Features::SectionSurfaceBuilder::TypesFivePoint | |
NXOpen::Section * | OrientationGuide () |
Returns the orientation guide. | |
double | PositionTolerance () |
Returns the position tolerance | |
NXOpen::GeometricUtilities::LawBuilder * | RadiusLaw () |
Returns the radius Law | |
bool | ReverseEndSurface () |
Returns the reverse end surface Only applies to the follow section surface types: Features::SectionSurfaceBuilder::TypesPointRadiusAngleArc and Features::SectionSurfaceBuilder::TypesFilletBridge | |
bool | ReverseStartDirection () |
Returns the reverse start direction. | |
NXOpen::GeometricUtilities::LawBuilder * | RhoLaw () |
Returns the rho Law | |
NXOpen::Features::SectionSurfaceBuilder::SectionMethodCircularTangentEnum | SectionMethodCircularTangent () |
Returns the section method for circular tangent | |
NXOpen::Features::SectionSurfaceBuilder::SectionMethodFilletBridgeEnum | SectionMethodFilletBridge () |
Returns the section method for fillet bridge | |
NXOpen::Features::SectionSurfaceBuilder::SectionMethodRhoEnum | SectionMethodRho () |
Returns the section method for rho law | |
void | SetAlternateMethod (int alternateMethod) |
Sets the alternate method. | |
void | SetControlRegion (NXOpen::Features::SectionSurfaceBuilder::ControlRegionEnum controlRegion) |
Sets the control region for fillet bridge | |
void | SetCreateApexCurve (bool createApexCurve) |
Sets whether an apex curve should be created | |
void | SetCurvatureTolerance (double curvatureTolerance) |
Sets the curvature tolerance | |
void | SetEndFlowDirection (NXOpen::Features::SectionSurfaceBuilder::FlowDirectionEnum endFlowDirection) |
Sets the end flow direction for fillet bridge | |
void | SetPositionTolerance (double positionTolerance) |
Sets the position tolerance | |
void | SetReverseEndSurface (bool reverseEndSurface) |
Sets the reverse end surface Only applies to the follow section surface types: Features::SectionSurfaceBuilder::TypesPointRadiusAngleArc and Features::SectionSurfaceBuilder::TypesFilletBridge | |
void | SetReverseStartDirection (bool reverseStartDirection) |
Sets the reverse start direction. | |
void | SetSectionMethodCircularTangent (NXOpen::Features::SectionSurfaceBuilder::SectionMethodCircularTangentEnum sectionMethodCircularTangent) |
Sets the section method for circular tangent | |
void | SetSectionMethodFilletBridge (NXOpen::Features::SectionSurfaceBuilder::SectionMethodFilletBridgeEnum sectionMethodFilletBridge) |
Sets the section method for fillet bridge | |
void | SetSectionMethodRho (NXOpen::Features::SectionSurfaceBuilder::SectionMethodRhoEnum sectionMethodRho) |
Sets the section method for rho law | |
void | SetStartFlowDirection (NXOpen::Features::SectionSurfaceBuilder::FlowDirectionEnum startFlowDirection) |
Sets the start flow direction for fillet bridge | |
void | SetTangentTolerance (double tangentTolerance) |
Sets the tangent tolerance | |
void | SetType (NXOpen::Features::SectionSurfaceBuilder::Types type) |
Sets the type | |
void | SetUDegree (NXOpen::Features::SectionSurfaceBuilder::UDegreeEnum uDegree) |
Sets the u degree | |
NXOpen::Section * | Shoulder () |
Returns the shoulder. | |
NXOpen::Section * | SpineCurve () |
Returns the spine curve | |
NXOpen::GeometricUtilities::Continuity * | StartContinuity () |
Returns the start continuity for fillet bridge | |
NXOpen::GeometricUtilities::DepthSkewBuilder * | StartDepthSkew () |
Returns the start depth and skew | |
NXOpen::Features::SectionSurfaceBuilder::FlowDirectionEnum | StartFlowDirection () |
Returns the start flow direction for fillet bridge | |
NXOpen::Section * | StartGuide () |
Returns the start guide | |
NXOpen::Section * | StartHighlightSection () |
Returns the start highlight section. | |
NXOpen::Section * | StartShapeCurve () |
Returns the start shape curve for fillet bridge | |
NXOpen::Section * | StartSlope () |
Returns the start slope. | |
NXOpen::ScCollector * | StartSurface () |
Returns the start surface. | |
double | TangentTolerance () |
Returns the tangent tolerance | |
NXOpen::Features::SectionSurfaceBuilder::Types | Type () |
Returns the type | |
NXOpen::Features::SectionSurfaceBuilder::UDegreeEnum | UDegree () |
Returns the u degree | |
NXOpen::GeometricUtilities::Rebuild * | VDegree () |
Returns the v degree | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::SectionSurface Features::SectionSurface@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSectionSurfaceBuilder Features::FeatureCollection::CreateSectionSurfaceBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngleLaw.EndValue.Value |
1 |
AngleLaw.Function |
ft |
AngleLaw.LawType |
Constant |
AngleLaw.Parameter |
t |
AngleLaw.StartValue.Value |
1 |
AngleLaw.Value.Value |
0.0 |
EndContinuity.ContinuityType |
G1 |
RadiusLaw.EndValue.Value |
1.0 (millimeters part), 0.05 (inches part) |
RadiusLaw.StartValue.Value |
1.0 (millimeters part), 0.05 (inches part) |
RadiusLaw.Value.Value |
1.0 (millimeters part), 0.05 (inches part) |
RhoLaw.EndValue.Value |
0.5 |
RhoLaw.StartValue.Value |
0.5 |
RhoLaw.Value.Value |
0.5 |
SectionMethodCircularTangent |
FilletArc |
SectionMethodFilletBridge |
Continuity |
SectionMethodRho |
Rho |
StartContinuity.ContinuityType |
G1 |
Created in NX5.0.0.
This enum represents the type of the region where depth and skew can be applied.
This enum represents the type of flow direction for the start/end of the section surface.
This enum represents the current types of section surface methods.
int NXOpen::Features::SectionSurfaceBuilder::AlternateMethod | ( | ) |
Returns the alternate method.
This api only applies to the follow section surface methods, circle_tangent and linear-tangent
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::SectionSurfaceBuilder::AngleLaw | ( | ) |
Returns the angle Law
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::ApexCurve | ( | ) |
Returns the apex curve.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilder::TypesEndsApexShoulder Features::SectionSurfaceBuilder::TypesEndsApexShoulder@endlink , @link Features::SectionSurfaceBuilder::TypesEndsApexRho Features::SectionSurfaceBuilder::TypesEndsApexRho@endlink , and @link Features::SectionSurfaceBuilder::TypesEndsApexHilite Features::SectionSurfaceBuilder::TypesEndsApexHilite@endlink
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilder::ControlRegionEnum NXOpen::Features::SectionSurfaceBuilder::ControlRegion | ( | ) |
Returns the control region for fillet bridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SectionSurfaceBuilder::CreateApexCurve | ( | ) |
Returns whether an apex curve should be created
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::SectionSurfaceBuilder::CurvatureTolerance | ( | ) |
Returns the curvature tolerance
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::SectionSurfaceBuilder::EndContinuity | ( | ) |
Returns the end continuity for fillet bridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::SectionSurfaceBuilder::EndDepthSkew | ( | ) |
Returns the end depth and skew
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilder::FlowDirectionEnum NXOpen::Features::SectionSurfaceBuilder::EndFlowDirection | ( | ) |
Returns the end flow direction for fillet bridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::EndGuide | ( | ) |
Returns the end guide
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::EndHighlightSection | ( | ) |
Returns the end highlight section .
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilder::TypesEndsApexHilite Features::SectionSurfaceBuilder::TypesEndsApexHilite@endlink , @link Features::SectionSurfaceBuilder::TypesEndsSlopeHilite Features::SectionSurfaceBuilder::TypesEndsSlopeHilite@endlink and @link Features::SectionSurfaceBuilder::TypesFilletHilite Features::SectionSurfaceBuilder::TypesFilletHilite@endlink
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::EndShapeCurve | ( | ) |
Returns the end shape curve for fillet bridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::EndSlope | ( | ) |
Returns the end slope.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilder::TypesEndsSlopeShoulder Features::SectionSurfaceBuilder::TypesEndsSlopeShoulder@endlink , @link Features::SectionSurfaceBuilder::TypesEndsSlopeRho Features::SectionSurfaceBuilder::TypesEndsSlopeRho@endlink , @link Features::SectionSurfaceBuilder::TypesEndsSlopeHilite Features::SectionSurfaceBuilder::TypesEndsSlopeHilite@endlink , @link Features::SectionSurfaceBuilder::TypesEndsSlopeCubic Features::SectionSurfaceBuilder::TypesEndsSlopeCubic@endlink and @link Features::SectionSurfaceBuilder::TypesFourPointSlope Features::SectionSurfaceBuilder::TypesFourPointSlope@endlink
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::SectionSurfaceBuilder::EndSurface | ( | ) |
Returns the end surface Only applies to the follow section surface types: Features::SectionSurfaceBuilder::TypesFilletShoulder , Features::SectionSurfaceBuilder::TypesFilletRho , Features::SectionSurfaceBuilder::TypesFilletHilite and Features::SectionSurfaceBuilder::TypesFilletBridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::SectionSurfaceBuilder::EntireRegionDepthSkew | ( | ) |
Returns the entire region depth and skew
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::InteriorGuide1 | ( | ) |
Returns the interior guide1.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilder::TypesFourPointSlope Features::SectionSurfaceBuilder::TypesFourPointSlope@endlink , @link Features::SectionSurfaceBuilder::TypesFivePoint Features::SectionSurfaceBuilder::TypesFivePoint@endlink , and @link Features::SectionSurfaceBuilder::TypesThreePointArc Features::SectionSurfaceBuilder::TypesThreePointArc@endlink
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::InteriorGuide2 | ( | ) |
Returns the interior guide2 Only applies to the follow section surface types: Features::SectionSurfaceBuilder::TypesFourPointSlope and Features::SectionSurfaceBuilder::TypesFivePoint
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::InteriorGuide3 | ( | ) |
Returns the interior guide3 Only applies to the follow section surface types: Features::SectionSurfaceBuilder::TypesFourPointSlope and Features::SectionSurfaceBuilder::TypesFivePoint
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::OrientationGuide | ( | ) |
Returns the orientation guide.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilder::TypesCircle Features::SectionSurfaceBuilder::TypesCircle@endlink
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::SectionSurfaceBuilder::PositionTolerance | ( | ) |
Returns the position tolerance
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::SectionSurfaceBuilder::RadiusLaw | ( | ) |
Returns the radius Law
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SectionSurfaceBuilder::ReverseEndSurface | ( | ) |
Returns the reverse end surface Only applies to the follow section surface types: Features::SectionSurfaceBuilder::TypesPointRadiusAngleArc and Features::SectionSurfaceBuilder::TypesFilletBridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SectionSurfaceBuilder::ReverseStartDirection | ( | ) |
Returns the reverse start direction.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilder::TypesPointRadiusAngleArc Features::SectionSurfaceBuilder::TypesPointRadiusAngleArc@endlink and @link Features::SectionSurfaceBuilder::TypesFilletBridge Features::SectionSurfaceBuilder::TypesFilletBridge@endlink
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::SectionSurfaceBuilder::RhoLaw | ( | ) |
Returns the rho Law
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilder::SectionMethodCircularTangentEnum NXOpen::Features::SectionSurfaceBuilder::SectionMethodCircularTangent | ( | ) |
Returns the section method for circular tangent
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilder::SectionMethodFilletBridgeEnum NXOpen::Features::SectionSurfaceBuilder::SectionMethodFilletBridge | ( | ) |
Returns the section method for fillet bridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilder::SectionMethodRhoEnum NXOpen::Features::SectionSurfaceBuilder::SectionMethodRho | ( | ) |
Returns the section method for rho law
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::SectionSurfaceBuilder::SetAlternateMethod | ( | int | alternateMethod | ) |
Sets the alternate method.
This api only applies to the follow section surface methods, circle_tangent and linear-tangent
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
alternateMethod | alternatemethod |
void NXOpen::Features::SectionSurfaceBuilder::SetControlRegion | ( | NXOpen::Features::SectionSurfaceBuilder::ControlRegionEnum | controlRegion | ) |
Sets the control region for fillet bridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
controlRegion | controlregion |
void NXOpen::Features::SectionSurfaceBuilder::SetCreateApexCurve | ( | bool | createApexCurve | ) |
Sets whether an apex curve should be created
Use Features::SectionSurfaceBuilderEx instead.
Created in NX5.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling"), solid_modeling ("SOLIDS MODELING")
createApexCurve | createapexcurve |
void NXOpen::Features::SectionSurfaceBuilder::SetCurvatureTolerance | ( | double | curvatureTolerance | ) |
Sets the curvature tolerance
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
curvatureTolerance | curvaturetolerance |
void NXOpen::Features::SectionSurfaceBuilder::SetEndFlowDirection | ( | NXOpen::Features::SectionSurfaceBuilder::FlowDirectionEnum | endFlowDirection | ) |
Sets the end flow direction for fillet bridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
endFlowDirection | endflowdirection |
void NXOpen::Features::SectionSurfaceBuilder::SetPositionTolerance | ( | double | positionTolerance | ) |
Sets the position tolerance
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
positionTolerance | positiontolerance |
void NXOpen::Features::SectionSurfaceBuilder::SetReverseEndSurface | ( | bool | reverseEndSurface | ) |
Sets the reverse end surface Only applies to the follow section surface types: Features::SectionSurfaceBuilder::TypesPointRadiusAngleArc and Features::SectionSurfaceBuilder::TypesFilletBridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
reverseEndSurface | reverseendsurface |
void NXOpen::Features::SectionSurfaceBuilder::SetReverseStartDirection | ( | bool | reverseStartDirection | ) |
Sets the reverse start direction.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilder::TypesPointRadiusAngleArc Features::SectionSurfaceBuilder::TypesPointRadiusAngleArc@endlink and @link Features::SectionSurfaceBuilder::TypesFilletBridge Features::SectionSurfaceBuilder::TypesFilletBridge@endlink
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
reverseStartDirection | reversestartdirection |
void NXOpen::Features::SectionSurfaceBuilder::SetSectionMethodCircularTangent | ( | NXOpen::Features::SectionSurfaceBuilder::SectionMethodCircularTangentEnum | sectionMethodCircularTangent | ) |
Sets the section method for circular tangent
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
sectionMethodCircularTangent | sectionmethodcirculartangent |
void NXOpen::Features::SectionSurfaceBuilder::SetSectionMethodFilletBridge | ( | NXOpen::Features::SectionSurfaceBuilder::SectionMethodFilletBridgeEnum | sectionMethodFilletBridge | ) |
Sets the section method for fillet bridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
sectionMethodFilletBridge | sectionmethodfilletbridge |
void NXOpen::Features::SectionSurfaceBuilder::SetSectionMethodRho | ( | NXOpen::Features::SectionSurfaceBuilder::SectionMethodRhoEnum | sectionMethodRho | ) |
Sets the section method for rho law
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
sectionMethodRho | sectionmethodrho |
void NXOpen::Features::SectionSurfaceBuilder::SetStartFlowDirection | ( | NXOpen::Features::SectionSurfaceBuilder::FlowDirectionEnum | startFlowDirection | ) |
Sets the start flow direction for fillet bridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
startFlowDirection | startflowdirection |
void NXOpen::Features::SectionSurfaceBuilder::SetTangentTolerance | ( | double | tangentTolerance | ) |
Sets the tangent tolerance
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
tangentTolerance | tangenttolerance |
void NXOpen::Features::SectionSurfaceBuilder::SetType | ( | NXOpen::Features::SectionSurfaceBuilder::Types | type | ) |
Sets the type
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
type | type |
void NXOpen::Features::SectionSurfaceBuilder::SetUDegree | ( | NXOpen::Features::SectionSurfaceBuilder::UDegreeEnum | uDegree | ) |
Sets the u degree
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
uDegree | udegree |
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::Shoulder | ( | ) |
Returns the shoulder.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilder::TypesEndsApexShoulder Features::SectionSurfaceBuilder::TypesEndsApexShoulder@endlink , @link Features::SectionSurfaceBuilder::TypesEndsSlopeShoulder Features::SectionSurfaceBuilder::TypesEndsSlopeShoulder@endlink and @link Features::SectionSurfaceBuilder::TypesFilletShoulder Features::SectionSurfaceBuilder::TypesFilletShoulder@endlink
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::SpineCurve | ( | ) |
Returns the spine curve
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::SectionSurfaceBuilder::StartContinuity | ( | ) |
Returns the start continuity for fillet bridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::SectionSurfaceBuilder::StartDepthSkew | ( | ) |
Returns the start depth and skew
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilder::FlowDirectionEnum NXOpen::Features::SectionSurfaceBuilder::StartFlowDirection | ( | ) |
Returns the start flow direction for fillet bridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::StartGuide | ( | ) |
Returns the start guide
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::StartHighlightSection | ( | ) |
Returns the start highlight section.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilder::TypesEndsApexHilite Features::SectionSurfaceBuilder::TypesEndsApexHilite@endlink , @link Features::SectionSurfaceBuilder::TypesEndsSlopeHilite Features::SectionSurfaceBuilder::TypesEndsSlopeHilite@endlink and @link Features::SectionSurfaceBuilder::TypesFilletHilite Features::SectionSurfaceBuilder::TypesFilletHilite@endlink
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::StartShapeCurve | ( | ) |
Returns the start shape curve for fillet bridge
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilder::StartSlope | ( | ) |
Returns the start slope.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilder::TypesEndsSlopeShoulder Features::SectionSurfaceBuilder::TypesEndsSlopeShoulder@endlink , @link Features::SectionSurfaceBuilder::TypesEndsSlopeRho Features::SectionSurfaceBuilder::TypesEndsSlopeRho@endlink , @link Features::SectionSurfaceBuilder::TypesEndsSlopeHilite Features::SectionSurfaceBuilder::TypesEndsSlopeHilite@endlink , @link Features::SectionSurfaceBuilder::TypesEndsSlopeCubic Features::SectionSurfaceBuilder::TypesEndsSlopeCubic@endlink and @link Features::SectionSurfaceBuilder::TypesFourPointSlope Features::SectionSurfaceBuilder::TypesFourPointSlope@endlink
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::SectionSurfaceBuilder::StartSurface | ( | ) |
Returns the start surface.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilder::TypesFilletShoulder Features::SectionSurfaceBuilder::TypesFilletShoulder@endlink , @link Features::SectionSurfaceBuilder::TypesFilletRho Features::SectionSurfaceBuilder::TypesFilletRho@endlink , @link Features::SectionSurfaceBuilder::TypesFilletHilite Features::SectionSurfaceBuilder::TypesFilletHilite@endlink and @link Features::SectionSurfaceBuilder::TypesFilletBridge Features::SectionSurfaceBuilder::TypesFilletBridge@endlink
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::SectionSurfaceBuilder::TangentTolerance | ( | ) |
Returns the tangent tolerance
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
NXOpen::Features::SectionSurfaceBuilder::Types NXOpen::Features::SectionSurfaceBuilder::Type | ( | ) |
Returns the type
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilder::UDegreeEnum NXOpen::Features::SectionSurfaceBuilder::UDegree | ( | ) |
Returns the u degree
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::SectionSurfaceBuilder::VDegree | ( | ) |
Returns the v degree
Use Features::SectionSurfaceBuilderEx instead.
Created in NX6.0.0.
License requirements : None